<%
function selectedSkin(skinName)
	dim storeRS, sqlString
	dim skinFolder

	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select skinName, skinFolder from storeSkins where storeID = "&storeID&" and used <> 0"
	storeRS.open sqlString, storeConn, 1, 1
	if storeRS.eof then
		selectedSkin = false
		storeRS.close
		set storeRS = nothing
		exit function
	end if
	skinFolder = storeRS("skinFolder")
	skinName = storeRS("skinName")
	storeRS.close
	set storeRS = nothing

	session("templateFolder") = pathApp()&"Carts\"&storeVirtualName&"\Skins\"&skinFolder
	session("virtualFolder") = virtualPathApp()&"Carts/"&storeVirtualName&"/Skins/"&skinFolder
	session("templateName") = skinFolder
	session("homePage") = ""
	selectedSkin = true

end function
'--------------------------------------------------------------------------------------
function selectedHomePageSkin(skinName)
	dim storeRS, sqlString
	dim skinFolder

	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select skinName, skinFolder from storeSkins where storeID = "&storeID&" and used <> 0"
	storeRS.open sqlString, storeConn, 1, 1
	if storeRS.eof then
		selectedHomePageSkin = false
		storeRS.close
		set storeRS = nothing
		exit function
	end if
	skinFolder = storeRS("skinFolder")
	skinName = storeRS("skinName")
	storeRS.close
	set storeRS = nothing

	session("templateFolder") = pathApp()&"Carts\"&storeVirtualName&"\Skins\"&skinFolder
	session("virtualFolder") = virtualPathApp()&"Carts/"&storeVirtualName&"/Skins/"&skinFolder
	session("templateName") = skinFolder
	session("homePage") = "yes"
	selectedHomePageSkin = true

end function
'--------------------------------------------------------------------------------------
function returnSkinID(skinID, skinName)

	dim storeRS, sqlString
	dim skinFolder

	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select skinID, skinName, skinFolder from storeSkins where storeID = "&storeID&" and used <> 0"
	storeRS.open sqlString, storeConn, 1, 1
	if storeRS.eof then
		returnSkinID = false
		storeRS.close
		set storeRS = nothing
		exit function
	end if
	skinFolder = storeRS("skinFolder")
	skinID = storeRS("skinID")
	skinName = storeRS("skinName")
	storeRS.close
	set storeRS = nothing

	session("templateFolder") = pathApp()&"Carts\"&storeVirtualName&"\Skins\"&skinFolder
	session("virtualFolder") = virtualPathApp()&"Carts/"&storeVirtualName&"/Skins/"&skinFolder
	session("templateName") = skinFolder
	session("homePage") = ""
	returnSkinID = true

end function
'--------------------------------------------------------------------------------------
function returnTitle(htmlString)
	dim startString, endString

	startString = instr(lcase(htmlString), "<title>")
	endString = instr(lcase(htmlString), "</title>")
	if startString > 0 and endString > 0 and endString > startString then
		returnTitle = mid(htmlString, startString + 7, endString - startString-7)
	else
		returnTitle = ""
	end if

end function

'--------------------------------------------------------------------------------------
function returnBody(bgColor, leftMargin, topMargin, marginHeight, marginWidth, scroll, onLoad, htmlString)
' return the body string

	dim startString, endString
	dim bodyString, i, props
	
	startString = instr(lcase(htmlString), "<body ")
	if startString > 0 then
		endString = instr(mid(htmlString, startString), ">") + startString
		if endString > 0 then
			returnBody = mid(htmlString, startString, endString - startString)
			bodyString = mid(htmlString, startString + 6, endString - startString - 7)
			while instr(bodyString, "  ") > 0
				bodyString = replace(bodyString, "  "," ")
			wend
			bodyString = split(bodyString, " ")
			for i=0 to ubound(bodyString)
				props = split(bodyString(i), "=")
				if ubound(props) > 0 then
					if lcase(props(0)) = "bgcolor" then
						bgColor = replace(props(1), " ", "")
						bgColor = replace(bgColor, """", "")
					elseif lcase(props(0)) = "leftmargin" then
						leftMargin = replace(props(1), " ", "")
						leftMargin = replace(leftMargin, """", "")
					elseif lcase(props(0)) = "topmargin" then
						topMargin = replace(props(1), " ", "")
						topMargin = replace(topMargin, """", "")
					elseif lcase(props(0)) = "marginheight" then
						marginHeight = replace(props(1), " ", "")
						marginHeight = replace(marginHeight, """", "")
					elseif lcase(props(0)) = "marginwidth" then
						marginWidth = replace(props(1), " ", "")
						marginWidth = replace(marginWidth, """", "")
					elseif lcase(props(0)) = "scroll" then
						scroll = replace(props(1), " ", "")
						scroll = replace(scroll, """", "")
					elseif lcase(props(0)) = "onload" then
						onLoad = replace(props(1), " ", "")
						onLoad = replace(onLoad, """", "")
					end if
				end if
			next
		end if
	end if
end function

'--------------------------------------------------------------------------------------
function returnCSS(htmlString)

	dim startString, endString
	dim searchString, bodyString, lenSearch
	dim props, i
	dim returnValue
	
	returnValue = ""
	searchString = "<link rel=stylesheet "
	startString = instr(lcase(htmlString), searchString)
	if startString <= 0 then
		searchString = "<link rel=""stylesheet"" "
		startString = instr(lcase(htmlString), searchString)
	end if
	if startString > 0 then
		lenSearch = len(searchString)
		endString = instr(mid(htmlString, startString), ">") + startString
		bodyString = mid(htmlString, startString + lenSearch, endString - startString - lenSearch - 1)
		while instr(bodyString, "  ") > 0
			bodyString = replace(bodyString, "  "," ")
		wend
		bodyString = split(bodyString, " ")
		for i=0 to ubound(bodyString)
			props = split(bodyString(i), "=")
			if ubound(props) > 0 then
				if lcase(props(0)) = "href" then
					returnValue = replace(props(1), " ", "")
					returnValue = replace(returnValue, """", "")
				end if
			end if
		next
	end if

	returnCSS = returnValue

end function
'--------------------------------------------------------------------------------------
sub returnMeta(meta_1, meta_2, meta_3, meta_4, meta_5, meta_6, htmlString)

	dim startString, endString, count
	dim searchString, bodyString, lenSearch
	dim i, copyString

	count = 1
	searchString = "<meta "
	for i=1 to 6
		copyString = mid(htmlString, count)
		startString = instr(lcase(copyString), searchString)
		if startString > 0 then
			lenSearch = len(searchString)
			endString = instr(mid(copyString, startString), ">")
			endString = endString + startString
			bodyString = mid(copyString, startString + lenSearch, endString - startString - lenSearch - 1)
			select case i
				case 1
					meta_1 = bodyString
					meta_1 = replace(meta_1, """", "")
				case 2
					meta_2 = bodyString
					meta_2 = replace(meta_2, """", "")
				case 3
					meta_3 = bodyString
					meta_3 = replace(meta_3, """", "")
				case 4
					meta_4 = bodyString
					meta_4 = replace(meta_4, """", "")
				case 5
					meta_5 = bodyString
					meta_5 = replace(meta_5, """", "")
				case 6
					meta_6 = bodyString
					meta_6 = replace(meta_6, """", "")
			end select
			count = count + startString + len(bodyString) + lenSearch
		else
			exit for
		end if
	next
end sub
'--------------------------------------------------------------------------------------
sub returnTable(width, height, border, cellSpacing, cellPadding, borderColor, bgColor, htmlString)

	dim startString, endString, lenString
	dim bodyString, i, props
	
	startString = instr(lcase(htmlString), "<table")
	if startString > 0 then
		endString = instr(mid(htmlString, startString), ">") + startString
		if endString > 0 then
			lenString = len("<table")
			bodyString = mid(htmlString, startString + lenString, endString - startString - lenString - 1)
			while instr(bodyString, "  ") > 0
				bodyString = replace(bodyString, "  "," ")
			wend
			bodyString = split(bodyString, " ")
			for i=0 to ubound(bodyString)
				props = split(bodyString(i), "=")
				if ubound(props) > 0 then
					if lcase(props(0)) = "width" then
						width = replace(props(1), " ", "")
						width = replace(width, """", "")
					elseif lcase(props(0)) = "height" then
						height = replace(props(1), " ", "")
						height = replace(height, """", "")
					elseif lcase(props(0)) = "border" then
						border = replace(props(1), " ", "")
						border = replace(border, """", "")
					elseif lcase(props(0)) = "cellspacing" then
						cellSpacing = replace(props(1), " ", "")
						cellSpacing = replace(cellSpacing, """", "")
					elseif lcase(props(0)) = "cellpadding" then
						cellPadding = replace(props(1), " ", "")
						cellPadding = replace(cellPadding, """", "")
					elseif lcase(props(0)) = "bgcolor" then
						bgColor = replace(props(1), " ", "")
						bgColor = replace(bgColor, """", "")
					elseif lcase(props(0)) = "bordercolor" then
						borderColor = replace(props(1), " ", "")
						borderColor = replace(borderColor, """", "")
					end if
				end if
			next
		end if
	end if
end sub
'--------------------------------------------------------------------------------------
sub returnRow(sectionSearch, view, width, height, trBgColor, tdBgColor, align, valign, font, fontSize, fontColor, noWrap, htmlString)

	dim searchPos, searchTD, searchTR, searchFont, lenSearch
	dim beforeString, tdString, trString, fontString, bodyString
	dim i, props
	
	searchPos = instr(htmlString, sectionSearch)
	if searchPos <= 0 then
		view = "no"
		exit sub
	end if
	view = "yes"
	beforeString = mid(htmlString, 1, searchPos - 1)

	' search the last tr before the section search
	searchTR = instr(lcase(beforeString), "<tr")
	if searchTR > 0 then
		trString = beforeString
		do while instr(lcase(trString), "<tr") > 0
			trString = mid(beforeString, searchTR)
			searchTR = searchTR + instr(lcase(trString), "<tr")
		loop
		trString = mid(beforeString, searchTR - 1)
		lenSearch = len("<tr")
		searchPos = instr(lcase(trString), "<tr")
		searchTR = instr(mid(trString, searchPos), ">") + searchPos
		bodyString = mid(trString, searchPos + lenSearch, searchTR - searchPos - lenSearch - 1)
		if bodyString <> "" then
			while instr(bodyString, "  ") > 0
				bodyString = replace(bodyString, "  "," ")
			wend
			bodyString = split(bodyString, " ")
			for i=0 to ubound(bodyString)
				props = split(bodyString(i), "=")
				if ubound(props) > 0 then
					if lcase(props(0)) = "height" then
						height = replace(props(1), " ", "")
						height = replace(height, """", "")
					elseif lcase(props(0)) = "bgcolor" then
						trBgColor = replace(props(1), " ", "")
						trBgColor = replace(trBgColor, """", "")
					end if
				end if
			next
		end if
	end if
	
	' search the last td before the section search
	noWrap = instr(lcase(beforeString), "<td nowrap")
	if noWrap > 0 then
		noWrap = "yes"
	else
		noWrap = "no"
	end if
	searchTD = instr(lcase(beforeString), "<td")
	if searchTD > 0 then
		tdString = beforeString
		do while instr(lcase(tdString), "<td") > 0
			tdString = mid(beforeString, searchTD)
			searchTD = searchTD + instr(lcase(tdString), "<td")
		loop
		tdString = mid(beforeString, searchTD - 1)

		lenSearch = len("<td")
		searchPos = instr(lcase(tdString), "<td")
		searchTD = instr(mid(tdString, searchPos), ">") + searchPos
		bodyString = mid(tdString, searchPos + lenSearch, searchTD - searchPos - lenSearch - 1)
		if bodyString <> "" then
			while instr(bodyString, "  ") > 0
				bodyString = replace(bodyString, "  "," ")
			wend
			bodyString = split(bodyString, " ")
			for i=0 to ubound(bodyString)
				props = split(bodyString(i), "=")
				if ubound(props) > 0 then
					if lcase(props(0)) = "width" then
						width = replace(props(1), " ", "")
						width = replace(width, """", "")
					elseif lcase(props(0)) = "align" then
						align = replace(props(1), " ", "")
						align = replace(align, """", "")
					elseif lcase(props(0)) = "valign" then
						valign = replace(props(1), " ", "")
						valign = replace(valign, """", "")
					elseif lcase(props(0)) = "bgcolor" then
						tdBgColor = replace(props(1), " ", "")
						tdBgColor = replace(tdBgColor, """", "")
					end if
				end if
			next
		end if
	end if	

	' search the last font before the section search
	searchFont = instr(lcase(beforeString), "<font")
	if searchFont > 0 then
		fontString = beforeString
		do while instr(lcase(fontString), "<font") > 0
			fontString = mid(beforeString, searchFont)
			searchFont = searchFont + instr(lcase(fontString), "<font")
		loop
		fontString = mid(beforeString, searchFont - 1)

		lenSearch = len("<font")
		searchPos = instr(lcase(fontString), "<font")
		searchFont = instr(mid(fontString, searchPos), ">") + searchPos
		bodyString = mid(fontString, searchPos + lenSearch, searchFont - searchPos - lenSearch - 1)
		if bodyString <> "" then
			while instr(bodyString, "  ") > 0
				bodyString = replace(bodyString, "  "," ")
			wend
			bodyString = split(bodyString, " ")
			for i=0 to ubound(bodyString)
				props = split(bodyString(i), "=")
				if ubound(props) > 0 then
					if lcase(props(0)) = "face" then
						font = replace(props(1), " ", "")
						font = replace(font, """", "")
					elseif lcase(props(0)) = "size" then
						fontSize = replace(props(1), " ", "")
						fontSize = replace(fontSize, """", "")
					elseif lcase(props(0)) = "color" then
						fontColor = replace(props(1), " ", "")
						fontColor = replace(fontColor, """", "")
					end if
				end if
			next
		end if
	end if
end sub
'--------------------------------------------------------------------------------------
function returnHref(search, htmlString)

	' search = <a>
	' search = <img>

	dim startString, endString, lenString
	dim bodyString, i, props
	dim result

	result = ""
	startString = instr(lcase(htmlString), search)
	if startString > 0 then
		endString = instr(mid(htmlString, startString), ">") + startString
		if endString > 0 then
			lenString = len(search)
			bodyString = mid(htmlString, startString + lenString, endString - startString - lenString - 1)
			while instr(bodyString, "  ") > 0
				bodyString = replace(bodyString, "  "," ")
			wend
			bodyString = split(bodyString, " ")
			for i=0 to ubound(bodyString)
				props = split(bodyString(i), "=")
				if ubound(props) > 0 then
					if search = "<a" and lcase(props(0)) = "href" then
						result = replace(props(1), " ", "")
						result = replace(result, """", "")
					elseif search = "<img" and lcase(props(0)) = "src" then
						result = replace(props(1), " ", "")
						result = replace(result, """", "")
					end if
				end if
			next
		end if
	end if
	returnHref = result
end function
'--------------------------------------------------------------------------------------
function returnFonts(font, fontSize, fontColor, fontID, htmlString)

	dim useFonts
	dim startString, endString, lenString
	dim bodyString, i, props

	useFonts = true
	startString = instr(lcase(htmlString), "<font")
	if startString <=0 then
		startString = instr(lcase(htmlString), "<div")
		useFonts = false
	end if
	if startString <= 0 then
		returnFonts = false
		exit function
	end if
	endString = instr(mid(htmlString, startString), ">") + startString
	if useFonts then
		lenString = len("<font")
	else
		lenString = len("<div")
	end if
	bodyString = mid(htmlString, startString + lenString, endString - startString - lenString - 1)
	while instr(bodyString, "  ") > 0
		bodyString = replace(bodyString, "  "," ")
	wend
	bodyString = split(bodyString, " ")
	for i=0 to ubound(bodyString)
		props = split(bodyString(i), "=")
		if ubound(props) > 0 then
			if useFonts then
				if lcase(props(0)) = "face" then
					font = replace(props(1), " ", "")
					font = replace(font, """", "")
				elseif lcase(props(0)) = "size" then
					fontSize = replace(props(1), " ", "")
					fontSize = replace(fontSize, """", "")
				elseif lcase(props(0)) = "color" then
					fontColor = replace(props(1), " ", "")
					fontColor = replace(fontColor, """", "")
				end if
			else
				if lcase(props(0)) = "id" then
					fontID = replace(props(1), " ", "")
					fontID = replace(fontID, """", "")
				end if
			end if
		end if
	next
	returnFonts = true
end function
'--------------------------------------------------------------------------------------
function returnButton(searchButton, endSearch, buttonImage, buttonClass, htmlString)

	dim buttonString
	dim useImg
	dim startString, endString, lenString
	dim bodyString, i, props
	
	startString = instr(htmlString, searchButton)
	if startString <= 0 then
		returnButton = false
		exit function
	end if
	startString = startString + len(searchButton)
	buttonString = mid(htmlString, startString)
	startString = instr(buttonString, endSearch)
	buttonString = mid(buttonString, 1, startString -1)

	useImg = true
	startString = instr(lcase(buttonString), "<img")
	if startString <= 0 then
		startString = instr(lcase(buttonString), "<class")
		useImg = false
	end if
	if startString <= 0 then
		returnButton = false
		exit function
	end if
	
	endString = instr(mid(buttonString, startString), ">") + startString
	if useImg then
		lenString = len("<img")
	else
		lenString = len("<class")
	end if
	bodyString = mid(buttonString, startString + lenString, endString - startString - lenString - 1)
	while instr(bodyString, "  ") > 0
		bodyString = replace(bodyString, "  "," ")
	wend
	bodyString = split(bodyString, " ")
	for i=0 to ubound(bodyString)
		props = split(bodyString(i), "=")
		if ubound(props) > 0 then
			if useImg then
				if lcase(props(0)) = "src" then
					buttonImage = replace(props(1), " ", "")
					buttonImage = replace(buttonImage, """", "")
				end if
			else
				if lcase(props(0)) = "class" then
					buttonClass = replace(props(1), " ", "")
					buttonClass = replace(buttonClass, """", "")
				end if
			end if
		end if
	next
	returnButton = true
	
end function
'--------------------------------------------------------------------------------------

function returnClass(htmlString)

	dim startString, endString, lenString
	dim bodyString, i, props
	
	dim result

	startString = instr(lcase(htmlString), "<class")
	endString = instr(mid(htmlString, startString), ">") + startString
	lenString = len("<class")
	bodyString = mid(htmlString, startString + lenString, endString - startString - lenString - 1)
	while instr(bodyString, "  ") > 0
		bodyString = replace(bodyString, "  "," ")
	wend
	bodyString = split(bodyString, " ")
	for i=0 to ubound(bodyString)
		props = split(bodyString(i), "=")
		if ubound(props) > 0 then
			if lcase(props(0)) = "class" then
				result = replace(props(1), " ", "")
				result = replace(result, """", "")
			end if
		end if
	next
	returnClass = result
end function

'----------------------------------------------------------------
function returnHTML(file)

	dim fs, f, textStream

	set fs = CreateObject("Scripting.FileSystemObject")
	Set f = fs.GetFile(file)
	set textStream = f.OpenAsTextStream(1, 0)
	if not textStream.AtEndOfStream then
		returnHTML = textStream.readAll
	else
		returnHTML = ""
	end if
	textStream.close
	set textStream = nothing
	set fs = nothing
	set f = nothing
end function

'--------------------------------------------------------------------------------------
function replaceHttp(htmlString)

	dim newString

	dim strFound, strReplace
	strFound = session("virtualFolder")
	newString = htmlString
	if instr(lcase(htmlString), lcase(strFound)) > 0 then
		newString = htmlString
		newString = replace(newString, "HTTP", "http")
		newString = replace(newString, "Http", "http")
		strFound = "http://"&strFound
		strReplace = "Design/Images"
		newString = replace(newString, strFound, strReplace)
	end if
	replaceHttp = newString

end function

'--------------------------------------------------------------------------------------
function replaceHttpPrivatePublic(privateFolder, htmlString)

	dim newString
	dim strFound, strReplace
	
	strFound = "http://"&virtualPathApp()&"Carts/"&storeVirtualName&"/Skins/"&privateFolder
	strReplace = "http://PublicSkins/"&privateFolder
	if instr(lcase(htmlString), lcase(strFound)) > 0 then
		newString = replace(htmlString, strFound, strReplace)
	else
		newString = htmlString
	end if
	replaceHttpPrivatePublic = newString

end function
'--------------------------------------------------------------------------------------
function replaceHttpPublicPrivate(privateFolder, publicFolder, htmlString)

	dim newString
	dim strFound, strReplace
	
	strFound = "http://PublicSkins/"&publicFolder
	strReplace = "http://"&virtualPathApp()&"Carts/"&storeVirtualName&"/Skins/"&privateFolder
	if instr(lcase(htmlString), lcase(strFound)) > 0 then
		newString = replace(htmlString, strFound, strReplace)
	else
		newString = htmlString
	end if
	replaceHttpPublicPrivate = newString

end function
'--------------------------------------------------------------------------------------
function replaceHttpPrivatePrivate(folderSource, folderDest, htmlString)

	dim newString
	dim strFound, strReplace
	
	strFound = "http://"&virtualPathApp()&"Carts/"&storeVirtualName&"/Skins/"&folderSource
	strReplace = "http://"&virtualPathApp()&"Carts/"&storeVirtualName&"/Skins/"&folderDest
	if instr(lcase(htmlString), lcase(strFound)) > 0 then
		newString = replace(htmlString, strFound, strReplace)
	else
		newString = htmlString
	end if
	replaceHttpPrivatePrivate = newString

end function
'--------------------------------------------------------------------------------------
function replaceSkinUrl(folderSource, htmlString)
	
	dim strFound, strReplace

	dim newString, testString, urlString
	dim startUrl, endUrl

	newString = htmlString
	testString = htmlString
	startUrl = instr(lcase(testString), "http://")
	do while startUrl > 0
		testString = mid(testString, startUrl +7)
		'response.write testString&"<br>"
		endUrl = instr(lcase(testString), "/skins/"&lcase(folderSource)&"/")
		if endUrl > 0 then
			endUrl = endUrl + len("/skins/") - 1
			urlString = mid(testString, 1, endUrl)
			'response.write urlString&"<br>"
			if instr(lcase(urlString), "/carts/") > 0 and instr(lcase(urlString), "/skins/") > 0 then
				strFound = "http://"&urlString&folderSource
				strReplace = "http://"&virtualPathApp()&"Carts/"&storeVirtualName&"/Skins/"&folderSource
				newString = replace(htmlString, strFound, strReplace)
				exit do
			end if
		end if
		startUrl = instr(lcase(testString), "http://")
	loop
	replaceSkinUrl = newString
	'response.end
	
end function
'--------------------------------------------------------------------------------------
function foundAspInPage(inputString)
	' true -> if found asp code if a page
	' false -> if not

	dim theResult
	dim storeRS, sqlString
	dim htmlString
	
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select useAspInCode from storeSettings where storeID = "&storeID&" and useAspInCode = 0"
	storeRS.open sqlString, storeConn, 1, 1
	if storeRS.eof then 'there are no restriction for ASP
		storeRS.close
		set storeRS = nothing
		foundAspInPage = false
		exit function
	end if
	storeRS.close
	set storeRS = nothing
	
	theResult = false
	htmlString = lcase(inputString)
	htmlString = replace(htmlString, chr(60)&"%= urlstring %"&chr(62), "urlstring")
	if instr(htmlString, chr(60)&"%") > 0 then
		theResult = true
	end if
	if instr(htmlString, "runat") > 0 and instr(htmlString, "server") > 0 then
		theResult = true
	end if
	foundAspInPage = theResult
end function
%>