<!--#include file="settings.asp"-->
<!--#include file="design/start.asp"-->
<!--#include file="subs/designSettings.asp"-->
<!--#include file="subs/utilFunctions.asp"-->
<!--#include file="subs/graph.asp"-->

<%
'---------------------------------------------------------------------
if session("goMall") <> "yes" then
	set storeConn = nothing
	response.redirect "default.asp"
end if
'---------------------------------------------------------------------
dim storeRS, sqlString
dim startDate, endDate

dim orderCount, shoppersCount, visitorsCount, customersCount
dim totalStores, totalProducts, totalCategories, totalCustomers, totalOrders
dim totalSize, storePath, fs, f

call startWindow ("Welcome to the Mall Admin section!","100%", false)

' ----------------------------------- Orders ---------------------------------------------
set storeRS = Server.CreateObject("ADODB.Recordset")	
setlocale("en-us")
call setupNumberOfSeries(1, 3)
call setupSeriesNameAndColor(1, "Orders", "blue")

startDate = formatDateTime(dateAdd("d", -2, now), 2) &" 00:00:00"
endDate = formatDateTime(dateAdd("d", -2, now), 2) &" 23:59:59"
orderCount = returnOrdersNumber(startDate, endDate)
call setupLabel(1, returnDay(weekDay(startDate)))
call setupValue(1, 1, orderCount)
	
startDate = formatDateTime(dateAdd("d", -1, now), 2) &" 00:00:00"
endDate = formatDateTime(dateAdd("d", -1, now), 2) &" 23:59:59"
orderCount = returnOrdersNumber(startDate, endDate)
call setupLabel(2, returnDay(weekDay(startDate)))
call setupValue(1, 2, orderCount)

startDate = formatDateTime(now(),2)&" 00:00:00"
endDate = formatDateTime(now(),2)&" 23:59:59"
orderCount = returnOrdersNumber(startDate, endDate)
call setupLabel(3, returnDay(weekDay(startDate)))
call setupValue(1, 3, orderCount)
	
call setupValueLabel("") 
%>
<table width="650" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="50%" valign="top"><table width="400" border="0" cellpadding="1" cellspacing="1">
        <tr> 
          <td width="1%"><img src="design/images/mainorders.gif" width="142" height="73"></td>
          <td nowrap><div id="normalText"><font color="red"><b> 
              <p>New orders for last 3 days</p>
              </b></font></div></td>
        </tr>
        <tr> 
          <td colspan="2"> 
            <% call plotGraph(100, 200, 50) %>
          </td>
        </tr>
        <tr> 
          <td colspan="2"><br></td>
        </tr>
        <tr> 
          <td width="1%"><img src="design/images/mainusers.gif" width="142" height="73"></td>
          <td nowrap><div id="normalText"><font color="red"><b> 
              <p>Visitors, customers <br>
                and shoppers for last 3 days</p>
              </b></font></div></td>
        </tr>
        <% ' ----------------------------------- Customers ---------------------------------------------
call setupNumberOfSeries(3, 3)
call setupSeriesNameAndColor(1, "Visitors", "blue")
call setupSeriesNameAndColor(2, "Customers", "green")
call setupSeriesNameAndColor(3, "Shoppers", "red")

startDate = formatDateTime(dateAdd("d", -2, now), 2) &" 00:00:00"
endDate = formatDateTime(dateAdd("d", -2, now), 2) &" 23:59:59"

visitorsCount = returnVisitorsNumber(startDate, endDate)
customersCount = returnCustomersNumber(startDate, endDate)
shoppersCount = returnShoppersNumber(startDate, endDate)
call setupLabel(1, returnDay(weekDay(startDate)))
call setupValue(1, 1, visitorsCount)
call setupValue(2, 1, customersCount)
call setupValue(3, 1, shoppersCount)
	
startDate = formatDateTime(dateAdd("d", -1, now), 2) &" 00:00:00"
endDate = formatDateTime(dateAdd("d", -1, now), 2) &" 23:59:59"
visitorsCount = returnVisitorsNumber(startDate, endDate)
customersCount = returnCustomersNumber(startDate, endDate)
shoppersCount = returnShoppersNumber(startDate, endDate)
call setupLabel(2, returnDay(weekDay(startDate)))
call setupValue(1, 2, visitorsCount)
call setupValue(2, 2, customersCount)
call setupValue(3, 2, shoppersCount)
	
startDate = formatDateTime(now(),2)&" 00:00:00"
endDate = formatDateTime(now(),2)&" 23:59:59"

visitorsCount = returnVisitorsNumber(startDate, endDate)
customersCount = returnCustomersNumber(startDate, endDate)
shoppersCount = returnShoppersNumber(startDate, endDate)
call setupLabel(3, returnDay(weekDay(startDate)))
call setupValue(1, 3, visitorsCount)
call setupValue(2, 3, customersCount)
call setupValue(3, 3, shoppersCount)
%>
        <tr> 
          <td colspan="2"> 
            <% call plotGraph(100, 200, 50) %>
          </td>
        </tr>
<%
' ----------------------------------- Stores ---------------------------------------------
sqlString = "select storeID from storeSettings"
storeRS.open sqlString, storeConn, 1, 1
if not storeRS.eof then
	storeRS.close
	sqlString = "select count(storeID) as totalStores from storeSettings"
	storeRS.open sqlString, storeConn, 1, 1
	totalStores = storeRS("totalStores")
else
	totalStores = 0
end if
storeRS.close
' ----------------------------------- Categories ---------------------------------------------
sqlString = "select categoryID from storeCategories"
storeRS.open sqlString, storeConn, 1, 1
if not storeRS.eof then
	storeRS.close
	sqlString = "select count(categoryID) as totalCategories from storeCategories"
	storeRS.open sqlString, storeConn, 1, 1
	totalCategories = storeRS("totalCategories")
else
	totalCategories = 0
end if
storeRS.close
' ----------------------------------- Products ---------------------------------------------
sqlString = "select productID from storeProducts"
storeRS.open sqlString, storeConn, 1, 1
if not storeRS.eof then
	storeRS.close
	sqlString = "select count(productID) as totalProducts from storeProducts"
	storeRS.open sqlString, storeConn, 1, 1
	totalProducts = storeRS("totalProducts")
else
	totalProducts = 0
end if
storeRS.close
' ----------------------------------- Customers ---------------------------------------------
sqlString = "select custID from storeCustomers"
storeRS.open sqlString, storeConn, 1, 1
if not storeRS.eof then
	storeRS.close
	sqlString = "select count(custID) as totalCustomers from storeCustomers"
	storeRS.open sqlString, storeConn, 1, 1
	totalCustomers = storeRS("totalCustomers")
else
	totalCustomers = 0
end if
storeRS.close
' ----------------------------------- Orders ---------------------------------------------
sqlString = "select orderID from storeOrders"
storeRS.open sqlString, storeConn, 1, 1
if not storeRS.eof then
	storeRS.close
	sqlString = "select count(orderID) as totalOrders from storeOrders"
	storeRS.open sqlString, storeConn, 1, 1
	totalOrders = storeRS("totalOrders")
else
	totalOrders = 0
end if
storeRS.close
' ----------------------------------- Total size ---------------------------------------------
totalSize = 0
storePath = pathApp()&"Carts"
set fs = CreateObject("Scripting.FileSystemObject")
if fs.folderExists(storePath) then
	set f = fs.getFolder(storePath)
	totalSize = f.size / 1024 / 1024
end if
set f = nothing
set fs = nothing
%>
      </table></td>
    <td width="50%" align="center" valign="top"><br>
      <br>
      <table width="208" height="213" border="0" cellpadding="3" cellspacing="0" bgcolor="#FFFFCC" class="table1">
        <tr align="left"> 
          <td height="27" nowrap class="cell1"><strong>&nbsp;&nbsp;Mall Information</strong></td>
          <td height="27" align="right" nowrap class="cell1"><strong><img src="../Admin/design/images/tD.gif" width="23" height="23" align="absmiddle"></strong></td>
        </tr>
        <tr> 
          <td width="70%" height="27" align="right" nowrap > Carts folder (Mb): 
            <br> </td>
          <td width="30%" align="left" ><b><%= formatNumber(totalSize, 1)%></b></td>
        </tr>
        <tr> 
          <td width="70%" height="27" align="right" nowrap >Stores in mall: </td>
          <td width="30%" align="left" ><b><%= totalStores %></b></td>
        </tr>
        <tr> 
          <td width="70%" height="12" align="right" nowrap ><img src="design/Images/spacer.gif" width="4" height="4"></td>
          <td width="30%" align="left" ><img src="design/Images/spacer.gif" width="4" height="4"></td>
        </tr>
        <tr> 
          <td width="70%" height="27" align="right" nowrap >Categories in mall: 
          </td>
          <td width="30%" align="left" ><b><%= totalCategories %></b></td>
        </tr>
        <tr> 
          <td width="70%" height="27" align="right" nowrap >Products in mall: 
          </td>
          <td width="30%" align="left" ><b><%= totalProducts %></b></td>
        </tr>
        <tr> 
          <td width="70%" height="12" align="right" nowrap ><img src="design/Images/spacer.gif" width="4" height="4"></td>
          <td width="30%" align="left" ><img src="design/Images/spacer.gif" width="4" height="4"></td>
        </tr>
        <tr> 
          <td width="70%" height="27" align="right" nowrap >Orders in mall : </td>
          <td width="30%" align="left" ><b><%= totalOrders %></b></td>
        </tr>
        <tr> 
          <td width="70%" height="27" align="right" nowrap >Customers in mall: 
          </td>
          <td width="30%" align="left" ><b><%= totalCustomers %></b></td>
        </tr>
      </table>
      <br>
      <table width="208" height="213" border="0" cellpadding="3" cellspacing="0" bgcolor="#FFFFCC" class="table1">
        <tr align="right"> 
          <td height="27" align="left" nowrap class="cell1"><strong>&nbsp;&nbsp;Spider 
            Sales NEWS</strong></td>
          <td height="27" align="right" nowrap class="cell1"><strong><img src="../Admin/design/images/tD.gif" width="23" height="23" align="absmiddle"></strong></td>
        </tr>
        <tr> 
          <td colspan="2" align="center" > <IFRAME src="http://www.spidersales.com/News/news.asp" width="200" height="185" scrolling="no" frameborder=0> 
          </iframe></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<%
set storeRS = nothing
set storeConn = nothing
call endWindow() %>
<!--#include file="design/end.asp"-->

<%
'--------------------------------------------------------------------------------------------
function returnOrdersNumber(startDate, endDate)

	dim storeRS, sqlString
	dim totalOrders
	
	if dbType = "MySQL" then
		sqlString = "select orderID from storeOrders where orderCreate <= "&dateSepChar&getMySqlDate(endDate)&dateSepChar&" and orderCreate >= "&dateSepChar&getMySqlDate(startDate)&dateSepChar
	else
		sqlString = "select orderID from storeOrders where orderCreate <= "&dateSepChar&endDate&dateSepChar&" and orderCreate >= "&dateSepChar&startDate&dateSepChar
	end if
	set storeRS = Server.CreateObject("ADODB.Recordset")
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		if dbType = "MySQL" then
			sqlString = "select count(orderID) as totalOrders from storeOrders where orderCreate <= "&dateSepChar&getMySqlDate(endDate)&dateSepChar&" and orderCreate >= "&dateSepChar&getMySqlDate(startDate)&dateSepChar
		else
			sqlString = "select count(orderID) as totalOrders from storeOrders where orderCreate <= "&dateSepChar&endDate&dateSepChar&" and orderCreate >= "&dateSepChar&startDate&dateSepChar
		end if
		storeRS.close
		storeRS.open sqlString, storeConn, 1, 1
		totalOrders = storeRS("totalOrders")
	else
		totalOrders = 0
	end if
	storeRS.close
	set storeRS = nothing
	returnOrdersNumber = totalOrders

end function
'--------------------------------------------------------------------------------------------
function returnVisitorsNumber(startDate, endDate)

	dim storeRS, sqlString
	dim totalVisitors
	
	if dbType = "MySQL" then
		sqlString = "select userID from storeUsers where loginTime <= "&dateSepChar&getMySqlDate(endDate)&dateSepChar&" and loginTime >= "&dateSepChar&getMySqlDate(startDate)&dateSepChar
	else
		sqlString = "select userID from storeUsers where loginTime <= "&dateSepChar&endDate&dateSepChar&" and loginTime >= "&dateSepChar&startDate&dateSepChar
	end if
	set storeRS = Server.CreateObject("ADODB.Recordset")
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		if dbType = "MySQL" then
			sqlString = "select count(userID) as totalVisitors from storeUsers where loginTime <= "&dateSepChar&getMySqlDate(endDate)&dateSepChar&" and loginTime >= "&dateSepChar&getMySqlDate(startDate)&dateSepChar
		else
			sqlString = "select count(userID) as totalVisitors from storeUsers where loginTime <= "&dateSepChar&endDate&dateSepChar&" and loginTime >= "&dateSepChar&startDate&dateSepChar
		end if
		storeRS.close
		storeRS.open sqlString, storeConn, 1, 1
		totalVisitors = storeRS("totalVisitors")
	else
		totalVisitors = 0
	end if
	storeRS.close
	set storeRS = nothing
	returnVisitorsNumber = totalVisitors

end function
'--------------------------------------------------------------------------------------------
function returnCustomersNumber(startDate, endDate)

	dim storeRS, sqlString
	dim totalCustomers
	
	if dbType = "MySQL" then
		sqlString = "select distinct custID from storeUsers where loginTime <= "&dateSepChar&getMySqlDate(endDate)&dateSepChar&" and loginTime >= "&dateSepChar&getMySqlDate(startDate)&dateSepChar&" and custID <> 0"
	else
		sqlString = "select distinct custID from storeUsers where loginTime <= "&dateSepChar&endDate&dateSepChar&" and loginTime >= "&dateSepChar&startDate&dateSepChar&" and custID <> 0"
	end if
	set storeRS = Server.CreateObject("ADODB.Recordset")
	storeRS.open sqlString, storeConn, 1, 1
	totalCustomers = 0
	do while not storeRS.eof
		totalCustomers = totalCustomers + 1
		storeRS.movenext
	loop
	storeRS.close
	set storeRS = nothing
	returnCustomersNumber = totalCustomers

end function
'--------------------------------------------------------------------------------------------
function returnShoppersNumber(startDate, endDate)

	dim storeRS, sqlString
	dim totalShoppers
	
	if dbType = "MySQL" then
		sqlString = "select distinct custID from storeOrders where orderCreate <= "&dateSepChar&getMySqlDate(endDate)&dateSepChar&" and orderCreate >= "&dateSepChar&getMySqlDate(startDate)&dateSepChar
	else
		sqlString = "select distinct custID from storeOrders where orderCreate <= "&dateSepChar&endDate&dateSepChar&" and orderCreate >= "&dateSepChar&startDate&dateSepChar
	end if
	set storeRS = Server.CreateObject("ADODB.Recordset")
	storeRS.open sqlString, storeConn, 1, 1
	totalShoppers = 0
	do while not storeRS.eof
		totalShoppers = totalShoppers + 1
		storeRS.movenext
	loop
	storeRS.close
	set storeRS = nothing
	returnShoppersNumber = totalShoppers

end function
'--------------------------------------------------------------------------------------------
function returnDay(theDay)

	select case theDay

	case vbSunday
		returnDay = "Sunday"
	case vbMonday
		returnDay = "Monday"
	case vbTuesday
		returnDay = "Tuesday"
	case vbWednesday
		returnDay = "Wednesday"
	case vbThursday
		returnDay = "Thursday"
	case vbFriday
		returnDay = "Friday"
	case vbSaturday
		returnDay = "Saturday"
	end select

end function

%>
